<ion-header>
 
</ion-header>

<ion-content padding>
    <div #map id="map"></div>

  <div  *ngFor="let jobuser of jobusers">
  <ion-button expand="full" icon-left (click)="startTracking()" *ngIf="!isTracking">
    <ion-icon name="locate"></ion-icon>
    Start Tracking
  </ion-button><br>
  <ion-button expand="full" icon-left (click)="stopTracking()" *ngIf="isTracking" >
    <ion-icon name="hand"></ion-icon>stopTracking</ion-button>
    <ion-button (click)="clearPreviousTracks()" style="margin:10px; ">Clear Previous Tracks</ion-button>
     <ion-list>
        <ion-list-header>Previous Tracks</ion-list-header>
        <ion-item *ngFor="let route of previousTracks">
          {{route.finished | date}}, {{route.path.length}} Waypoints 
          <ion-button expand="Clear" item-end (click)="showHistoryRoute(route.path)">View Route</ion-button>
        </ion-item>
      </ion-list>

      <ion-button (click)="Done(jobuser)"  expand="block">Done!</ion-button>
      </div>
</ion-content>
